import React, { useState } from 'react';
import ReactDOM from 'react-dom';
import { Flex, Text, TextField, Divider, SelectList, Button, Box, Heading } from 'gestalt';
import 'gestalt/dist/gestalt.css';

function LocationApp(props) {

  const [name, setName] = useState(localStorage.getItem("curLocationName"));
  const [state , setState] = useState(localStorage.getItem("curLocationState"));
  const [className, setClassName] = useState("");
  const handleSubmit = (event) =>  {
  	 event.preventDefault();

  	 const name = event.target.name.value;
  	 const state = event.target.state.value

   	 setName(name);
   	 localStorage.setItem("curLocationName", name);

   	 setState(state);
   	 localStorage.setItem("curLocationState", state);

   	 setClassName("highlight");
   }
   return (
    <Flex direction="column" gap={20} padding={10}>
    <Box minHeight={40}>
      <Text weight="bold">Location App</Text>
     </Box>
     <Box minHeight={10}>
      <Divider />
      </Box>
    <Flex direction="row" flex="grow"  gap={5} >
    <form onSubmit={handleSubmit}>

       <Flex direction="column" flex="grow" minWidth={350} gap={2}>
        <Flex alignItems="center"
          direction="row"
          gap={5}
        >
          <TextField
            id="name"
            onChange={() => {}}
            placeholder="Your Name"
            label="Name"
            type="text" />
            
          <SelectList 
          id="state"
          label="State"
          onChange={() => {}}
          options={[
            {label:"CA", value:"CA"},
            {label:"NY", value:"NY"},
            {label:"TX", value:"TX"},
          ]} />
          </Flex>
          
          <Button size="md"
          text="Save Location"
          color="red" 
          type="submit"/>
        </Flex>
        </form>
     
    <Flex gap={3} padding={3} direction="column" width="100%">
  
      <Text weight="bold">Current Location</Text>
      <Text align="center">{name}: {state}</Text>
      </Flex>
    </Flex>
    </Flex>
  );
}

 
   

ReactDOM.render(
  <LocationApp />,
  document.getElementById('root')
);